> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/phone-numbers/phone-numbers.md).

# Phone Numbers

## List all PhoneNumbers

> Returns an array of phone number objects available to the brand account.

```json
{"openapi":"3.1.0","info":{"title":"Brand Phone Numbers API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PhoneNumber":{"type":"object","properties":{"Id":{"type":"integer","description":"Unique identifier for the phone number (Phone Number ID)."},"Country":{"type":"string","description":"Two-letter ISO 3166 country code."},"Number":{"type":"string","description":"The full phone number."},"InternationalNumber":{"type":"string","description":"The phone number with international prefix."},"DateCreated":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the phone number was created."},"LastDateAssigned":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the phone number was last assigned to a partner."},"LastDateReleased":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the phone number was last released from a partner."},"Uri":{"type":"string","format":"uri-reference","description":"The URI path to this phone number object."}}}}},"paths":{"/Advertisers/{AccountSID}/PhoneNumbers":{"get":{"operationId":"listPhoneNumbers","tags":["Phone Numbers"],"summary":"List all PhoneNumbers","description":"Returns an array of phone number objects available to the brand account.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"Id","in":"query","required":false,"description":"Filter by specific ID values (comma-separated).","schema":{"type":"string"}},{"name":"LastDateAssigned","in":"query","required":false,"description":"Filter by the date the number was last assigned (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"LastDateReleased","in":"query","required":false,"description":"Filter by the date the number was last released (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"Number","in":"query","required":false,"description":"Filter by the actual phone number values (comma-separated).","schema":{"type":"string"}}],"responses":{"200":{"description":"A list of phone number objects.","content":{"application/json":{"schema":{"type":"object","properties":{"PhoneNumbers":{"type":"array","description":"The list of phone number objects.","items":{"$ref":"#/components/schemas/PhoneNumber"}}}}}}}}}}}}
```

## Retrieve a PhoneNumber

> Retrieves the details of a specific phone number using its unique identifier.

```json
{"openapi":"3.1.0","info":{"title":"Brand Phone Numbers API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PhoneNumber":{"type":"object","properties":{"Id":{"type":"integer","description":"Unique identifier for the phone number (Phone Number ID)."},"Country":{"type":"string","description":"Two-letter ISO 3166 country code."},"Number":{"type":"string","description":"The full phone number."},"InternationalNumber":{"type":"string","description":"The phone number with international prefix."},"DateCreated":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the phone number was created."},"LastDateAssigned":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the phone number was last assigned to a partner."},"LastDateReleased":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the phone number was last released from a partner."},"Uri":{"type":"string","format":"uri-reference","description":"The URI path to this phone number object."}}}}},"paths":{"/Advertisers/{AccountSID}/PhoneNumbers/{PhoneNumberId}":{"get":{"operationId":"getPhoneNumber","tags":["Phone Numbers"],"summary":"Retrieve a PhoneNumber","description":"Retrieves the details of a specific phone number using its unique identifier.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"PhoneNumberId","in":"path","required":true,"description":"The unique identifier for the phone number.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single phone number object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumber"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/phone-numbers/phone-numbers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
